Create Pending Record loan
POST /v1/record/pending/loan • validated by `postLoan`
/v1/record/pending/loanAuthentication requiredA pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.
- Requires organization permissions for this resource.
- Validated by Zod schema: postLoan.
Request details
Path params
No path parameters for this endpoint.
Query params
No explicit query schema was captured for this endpoint.
Body fields
pendingRecord (required)
Type: object
pendingRecord.description
Type: string
pendingRecord.notes
Type: string
pendingRecord.reference
Type: string
pendingRecord.sourcePendingRecordId
Type: number
pendingRecord.divisionId (required)
Type: number
pendingRecord.beneficiaryId
Type: number
pendingRecord.contact
Type: object
pendingRecord.contact.name (required)
Type: string
pendingRecord.contact.type (required)
Enum-like validator generated by zodFromObj
pendingRecord.contact.taxId
Type: string
pendingRecord.contact.reference
Type: string
pendingRecord.contact.labels
Type: array
Example:
pendingRecord.contact.labels[] (required)
Type: string
pendingRecord.contact.contact
Type: array
Example:
pendingRecord.contact.contact[] (required)
Type: object
pendingRecord.contact.contact[].type (required)
Type: string
pendingRecord.contact.contact[].data (required)
Type: string
pendingRecord.contact.contact[].dataType
Type: enum
Example: string
pendingRecord.contact.lat
Type: number
pendingRecord.contact.lon
Type: number
pendingRecord.contact.metadata
Type: object
pendingRecord.contact.metadata.adquisitionChannel
Type: string
pendingRecord.contact.creditLimit
Type: number
pendingRecord.soldBy
Type: number
pendingRecord.type (required)
Type: enum
Example: INVOICE
pendingRecord.isSell (required)
Boolean parser helper from common/utils.zBoolean
pendingRecord.date
Type: string
Example:
pendingRecord.dueDate
Type: string
Example:
pendingRecord.currency (required)
Enum-like validator generated by zodFromObj
pendingRecord.recurrency
Type: object
pendingRecord.recurrency.isPaused
Boolean parser helper from common/utils.zBoolean
Example: false
pendingRecord.recurrency.isCanceled
Boolean parser helper from common/utils.zBoolean
Example: false
pendingRecord.recurrency.autoChargeEnabled
Boolean parser helper from common/utils.zBoolean
pendingRecord.recurrency.paymentMethodId
Type: string
pendingRecord.recurrency.date (required)
Type: array
Example:
pendingRecord.recurrency.date[] (required)
Type: number
pendingRecord.recurrency.date[].month (required)
Type: number
pendingRecord.recurrency.date[].day (required)
Type: number
pendingRecord.recurrency.type (required)
Type: enum
Example: MONTHLY
pendingRecord.recurrency.createDaysBefore
Type: number
Example: 3
pendingRecord.recurrency.dueAfter
Type: number
pendingRecord.recurrency.repeatUntil
Type: string
pendingRecord.recurrency.inPayrollSince
Type: string
Example:
pendingRecord.recurrency.pauseOnPastDue
Boolean parser helper from common/utils.zBoolean
pendingRecord.recurrency.updatePrices
Boolean parser helper from common/utils.zBoolean
pendingRecord.recurrency.files
Type: array
Example:
pendingRecord.recurrency.files[] (required)
Type: object
pendingRecord.recurrency.files[].s3Key (required)
Type: string
pendingRecord.recurrency.files[].fileName (required)
Type: string
pendingRecord.createFirstInvoice
Boolean parser helper from common/utils.zBoolean
pendingRecord.generateTaxId
Type: enum
Example: none
pendingRecord.taxId
Type: string
Example:
pendingRecord.taxInvoiceType
Type: number
pendingRecord.isInstantDelivery
Boolean parser helper from common/utils.zBoolean
pendingRecord.updatePrices
Boolean parser helper from common/utils.zBoolean
pendingRecord.elements
Type: array
Example:
pendingRecord.elements[] (required)
Type: unknown
pendingRecord.labels
Type: array
Example:
pendingRecord.labels[] (required)
Type: string
pendingRecord.clientdata
Type: object
pendingRecord.metadata
Type: unknown
pendingRecord.taskId
Type: number
pendingRecord.payment
Type: object
pendingRecord.payment.paymentMethod (required)
Type: enum
Example: CASH
pendingRecord.payment.accountId (required)
Type: number
pendingRecord.payment.amount
Type: number
pendingRecord.payment.state
Type: enum
Example: PENDING
pendingRecord.payment.reference
Type: string
pendingRecord.payment.amountConversion
Type: number
pendingRecord.payment.receivedFrom
Type: number
pendingRecord.payment.description
Type: string
pendingRecord.payment.labels
Type: array
Example:
pendingRecord.payment.labels[] (required)
Type: string
pendingRecord.payment.clientdata
Type: object
pendingRecord.payment.date
Type: string
pendingRecord.payment.metadata
Type: unknown
pendingRecord.credit
Type: object
pendingRecord.credit.amount (required)
Type: number
pendingRecord.credit.interest (required)
Type: number
pendingRecord.credit.period (required)
Type: enum
Example: DAILY
pendingRecord.credit.interestType
Type: enum
Example: COMPOUND
pendingRecord.credit.totalNumberOfPayments (required)
Type: number
pendingRecord.credit.latePaymentFee
Type: number
Example: 0
pendingRecord.credit.latePaymentInDays
Type: number
Example: 3
pendingRecord.credit.paymentDate (required)
Type: number
pendingRecord.credit.paymentsStartsOn
Type: string
pendingRecord.credit.pendingRecordId
Type: number
pendingRecord.credit.accountId
Type: number
pendingRecord.credit.paymentMethod
Type: enum
Example: CASH
pendingRecord.credit.contact
Type: array
Example:
pendingRecord.credit.contact[] (required)
Type: object
pendingRecord.credit.contact[].type (required)
Type: string
pendingRecord.credit.contact[].data (required)
Type: string
pendingRecord.credit.contact[].dataType
Type: enum
Example: string
pendingRecord.redeem
Type: object
pendingRecord.redeem.returnId (required)
Type: number
pendingRecord.redeem.amount (required)
Type: number
credit (required)
Type: object
credit.amount (required)
Type: number
credit.interest (required)
Type: number
credit.period (required)
Type: enum
Example: DAILY
credit.interestType
Type: enum
Example: COMPOUND
credit.totalNumberOfPayments (required)
Type: number
credit.latePaymentFee
Type: number
Example: 0
credit.latePaymentInDays
Type: number
Example: 3
credit.paymentDate (required)
Type: number
credit.paymentsStartsOn
Type: string
credit.pendingRecordId
Type: number
credit.accountId
Type: number
credit.paymentMethod
Type: enum
Example: CASH
credit.contact
Type: array
Example:
credit.contact[] (required)
Type: object
credit.contact[].type (required)
Type: string
credit.contact[].data (required)
Type: string
credit.contact[].dataType
Type: enum
Example: string
Default payloads
Path params
{}Query
{}Body
{
"pendingRecord": {
"divisionId": 1,
"type": "INVOICE",
"isSell": true,
"currency": "string"
},
"credit": {
"amount": 1,
"interest": 1,
"period": "DAILY",
"totalNumberOfPayments": 1,
"paymentDate": 1
}
}Sample response
{}Test this endpoint now
Use your own credentials and execute a live request directly from this page.
1. Configure authentication for testing
You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.
2. Select endpoint
/v1/record/pending/loanAuthentication requiredGroup: Accounting / Pending Record
POST /v1/record/pending/loan • validated by `postLoan`
A pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.
- Requires organization permissions for this resource.
- Validated by Zod schema: postLoan.
Body fields
- pendingRecordrequiredType: object
- pendingRecord.descriptionType: string
- pendingRecord.notesType: string
- pendingRecord.referenceType: string
- pendingRecord.sourcePendingRecordIdType: number
- pendingRecord.divisionIdrequiredType: number
- pendingRecord.beneficiaryIdType: number
- pendingRecord.contactType: object
- pendingRecord.contact.namerequiredType: string
- pendingRecord.contact.typerequiredEnum-like validator generated by zodFromObj
- pendingRecord.contact.taxIdType: string
- pendingRecord.contact.referenceType: string
- pendingRecord.contact.labelsType: arrayEjemplo:
- pendingRecord.contact.labels[]requiredType: string
- pendingRecord.contact.contactType: arrayEjemplo:
- pendingRecord.contact.contact[]requiredType: object
- pendingRecord.contact.contact[].typerequiredType: string
- pendingRecord.contact.contact[].datarequiredType: string
- pendingRecord.contact.contact[].dataTypeType: enumEjemplo: string
- pendingRecord.contact.latType: number
- pendingRecord.contact.lonType: number
- pendingRecord.contact.metadataType: object
- pendingRecord.contact.metadata.adquisitionChannelType: string
- pendingRecord.contact.creditLimitType: number
- pendingRecord.soldByType: number
- pendingRecord.typerequiredType: enumEjemplo: INVOICE
- pendingRecord.isSellrequiredBoolean parser helper from common/utils.zBoolean
- pendingRecord.dateType: stringEjemplo:
- pendingRecord.dueDateType: stringEjemplo:
- pendingRecord.currencyrequiredEnum-like validator generated by zodFromObj
- pendingRecord.recurrencyType: object
- pendingRecord.recurrency.isPausedBoolean parser helper from common/utils.zBooleanEjemplo: false
- pendingRecord.recurrency.isCanceledBoolean parser helper from common/utils.zBooleanEjemplo: false
- pendingRecord.recurrency.autoChargeEnabledBoolean parser helper from common/utils.zBoolean
- pendingRecord.recurrency.paymentMethodIdType: string
- pendingRecord.recurrency.daterequiredType: arrayEjemplo:
- pendingRecord.recurrency.date[]requiredType: number
- pendingRecord.recurrency.date[].monthrequiredType: number
- pendingRecord.recurrency.date[].dayrequiredType: number
- pendingRecord.recurrency.typerequiredType: enumEjemplo: MONTHLY
- pendingRecord.recurrency.createDaysBeforeType: numberEjemplo: 3
- pendingRecord.recurrency.dueAfterType: number
- pendingRecord.recurrency.repeatUntilType: string
- pendingRecord.recurrency.inPayrollSinceType: stringEjemplo:
- pendingRecord.recurrency.pauseOnPastDueBoolean parser helper from common/utils.zBoolean
- pendingRecord.recurrency.updatePricesBoolean parser helper from common/utils.zBoolean
- pendingRecord.recurrency.filesType: arrayEjemplo:
- pendingRecord.recurrency.files[]requiredType: object
- pendingRecord.recurrency.files[].s3KeyrequiredType: string
- pendingRecord.recurrency.files[].fileNamerequiredType: string
- pendingRecord.createFirstInvoiceBoolean parser helper from common/utils.zBoolean
- pendingRecord.generateTaxIdType: enumEjemplo: none
- pendingRecord.taxIdType: stringEjemplo:
- pendingRecord.taxInvoiceTypeType: number
- pendingRecord.isInstantDeliveryBoolean parser helper from common/utils.zBoolean
- pendingRecord.updatePricesBoolean parser helper from common/utils.zBoolean
- pendingRecord.elementsType: arrayEjemplo:
- pendingRecord.elements[]requiredType: unknown
- pendingRecord.labelsType: arrayEjemplo:
- pendingRecord.labels[]requiredType: string
- pendingRecord.clientdataType: object
- pendingRecord.metadataType: unknown
- pendingRecord.taskIdType: number
- pendingRecord.paymentType: object
- pendingRecord.payment.paymentMethodrequiredType: enumEjemplo: CASH
- pendingRecord.payment.accountIdrequiredType: number
- pendingRecord.payment.amountType: number
- pendingRecord.payment.stateType: enumEjemplo: PENDING
- pendingRecord.payment.referenceType: string
- pendingRecord.payment.amountConversionType: number
- pendingRecord.payment.receivedFromType: number
- pendingRecord.payment.descriptionType: string
- pendingRecord.payment.labelsType: arrayEjemplo:
- pendingRecord.payment.labels[]requiredType: string
- pendingRecord.payment.clientdataType: object
- pendingRecord.payment.dateType: string
- pendingRecord.payment.metadataType: unknown
- pendingRecord.creditType: object
- pendingRecord.credit.amountrequiredType: number
- pendingRecord.credit.interestrequiredType: number
- pendingRecord.credit.periodrequiredType: enumEjemplo: DAILY
- pendingRecord.credit.interestTypeType: enumEjemplo: COMPOUND
- pendingRecord.credit.totalNumberOfPaymentsrequiredType: number
- pendingRecord.credit.latePaymentFeeType: numberEjemplo: 0
- pendingRecord.credit.latePaymentInDaysType: numberEjemplo: 3
- pendingRecord.credit.paymentDaterequiredType: number
- pendingRecord.credit.paymentsStartsOnType: string
- pendingRecord.credit.pendingRecordIdType: number
- pendingRecord.credit.accountIdType: number
- pendingRecord.credit.paymentMethodType: enumEjemplo: CASH
- pendingRecord.credit.contactType: arrayEjemplo:
- pendingRecord.credit.contact[]requiredType: object
- pendingRecord.credit.contact[].typerequiredType: string
- pendingRecord.credit.contact[].datarequiredType: string
- pendingRecord.credit.contact[].dataTypeType: enumEjemplo: string
- pendingRecord.redeemType: object
- pendingRecord.redeem.returnIdrequiredType: number
- pendingRecord.redeem.amountrequiredType: number
- creditrequiredType: object
- credit.amountrequiredType: number
- credit.interestrequiredType: number
- credit.periodrequiredType: enumEjemplo: DAILY
- credit.interestTypeType: enumEjemplo: COMPOUND
- credit.totalNumberOfPaymentsrequiredType: number
- credit.latePaymentFeeType: numberEjemplo: 0
- credit.latePaymentInDaysType: numberEjemplo: 3
- credit.paymentDaterequiredType: number
- credit.paymentsStartsOnType: string
- credit.pendingRecordIdType: number
- credit.accountIdType: number
- credit.paymentMethodType: enumEjemplo: CASH
- credit.contactType: arrayEjemplo:
- credit.contact[]requiredType: object
- credit.contact[].typerequiredType: string
- credit.contact[].datarequiredType: string
- credit.contact[].dataTypeType: enumEjemplo: string